问题描述: 报错:Error: error:0308010C:digital envelope routines::unsupported

报错原因: 因为 node.js V17版本中最近发布的OpenSSL3.0, 而OpenSSL3.0对允许算法和密钥大小增加了严格的限制

解决方案: 方案1:打开IDEA 终端,直接输入

Linux & Mac OS:

export NODE_OPTIONS=--openssl-legacy-provider

Windows:

set NODE_OPTIONS=--openssl-legacy-provider

方案2:打开IDEA 终端,直接输入(问题解决)

$env:NODE_OPTIONS="--openssl-legacy-provider"

方案3:卸载Node.js17+版本,安装Node.js17-版本(一劳永逸,本人太懒就没尝试)

项目成功运行:

以上是三种解决方案,两种临时方案各位可以多做一下尝试,如果还实在不行就卸载Node.js重新安装17-的版本。 转载自https://blog.csdn.net/m0_65933139/article/details/130690790

文章链接

评论可见,请评论后查看内容,谢谢!!!
 您阅读本篇文章共花了: